<?php
namespace Mirasvit\Core\Block\Adminhtml\Menu;

/**
 * Interceptor class for @see \Mirasvit\Core\Block\Adminhtml\Menu
 */
class Interceptor extends \Mirasvit\Core\Block\Adminhtml\Menu implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, $menu = [])
    {
        $this->___init();
        parent::__construct($context, $menu);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
